local myButton = CreateFrame("Button", "CollapseButton", QuestScrollFrame, 'UIPanelButtonTemplate')
--Set frame strata to draw over most other frames
  myButton:SetFrameStrata(HIGH)
  
--Make button draggable in the event it is blocking something else
  myButton:SetMovable(true)
  myButton:EnableMouse(true)
  myButton:RegisterForDrag("RightButton")
  myButton:SetScript("OnDragStart", myButton.StartMoving)
  myButton:SetScript("OnDragStop", myButton.StopMovingOrSizing)
  
--Slash command to reset position to default
  SLASH_CQLRESET1 = "/cqlreset"
  SlashCmdList["CQLRESET"] = function() 
  myButton:ClearAllPoints()
  myButton:SetPoint("TOPRIGHT",-25,23)
  print('Collapse QuestLog Button Position Reset')
  end
  
--Set Attributes for button (i.e. size, anchor, text)
  myButton:SetSize(65,20)
  myButton:SetPoint("TOPRIGHT",-25,23)
  myButton:SetText('Collapse')
  
--make button work with left click and execute collapse function
  myButton:RegisterForClicks("LeftButtonUp")
  myButton:SetScript("OnClick", function() CollapseQuestHeader(0) end)
  